> For the complete documentation index, see [llms.txt](https://docs.hub88.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hub88.io/api-changelog/july-2025/new-endpoint-get-enabled-products-list.md).

# New endpoint: Get Enabled Products List

**Effective from:** July 16, 2025

***

### What’s new?

We’ve added a new endpoint to the **Operator API** that allows operators to retrieve the list of all **enabled products** (game suppliers) available within their game catalogue -[ Get a List of Products](/developer-docs/operator-api-reference/games-api.md#get-a-list-of-products).&#x20;

### **Endpoint Structure**

Base URL:  [`POST /operator/generic/v2/products/list`](/developer-docs/operator-api-reference/games-api.md#get-a-list-of-products)

This endpoint provides the necessary product codes for use with other endpoints—such as filtering games using `product_code` .

#### How it works?

**Request:**

```http
POST /operator/generic/v2/products/list
Headers:
  X-Hub88-Signature: <signature>
```

**Request body:**

```json
{
  "operator_id": 1
}
```

**Response:**

```json
[
  {
    "product_name": "Hacksaw Gaming",
    "product_code": "hsg",
    "product_logo_url": "https://cdn.hub88.io/suppliers_logos/hacksaw.svg"
  }
]
```

#### Key details

* The request must include a valid `X-Hub88-Signature` that matches the given `operator_id`.
* Only **enabled products** (i.e., currently active in the operator’s game catalogue) will be returned in the response.
* **Disabled products** will be excluded automatically.
* The `product_code` returned can be used with `/operator/generic/v2/game/list` to query games specific to a supplier.

#### Why is it useful?

This new functionality ensures operators can reliably fetch the exact set of products enabled for them and use this data to further refine game queries, enhance UI categorisation, or streamline backoffice operations.

For further questions or support, please contact your Hub88 account manager or our technical support team.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hub88.io/api-changelog/july-2025/new-endpoint-get-enabled-products-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
